/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-01 15:18:56.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core.config;

import cn.com.qmth.examcloud.app.service.UserAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

/**
 * 请求过滤器
 *
 * @author: fengdesheng
 * @since: 2018/8/1
 */
@Configuration
public class FilterConfig {
    @Autowired
    private UserAuthService userAuthService;

    @Bean
    @ConditionalOnBean({UserAuthService.class})
    public FilterRegistrationBean filterRegistrationBean() {
        FilterRegistrationBean registrationBean = new FilterRegistrationBean();
        TokenFilter tokenFilter = new TokenFilter();
        tokenFilter.setUserAuthService(userAuthService);
        registrationBean.setFilter(tokenFilter);
        List<String> urlPatterns = new ArrayList<>();
        //过滤器UrlPatterns通配符为一个"*"
        urlPatterns.add("/api/*");
        registrationBean.setUrlPatterns(urlPatterns);
        return registrationBean;
    }

}