/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-17 11:15:46.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 属性配置服务类
 */
@Component
public class PropertyService {
    private static Logger log = LoggerFactory.getLogger(PropertyService.class);
    @Value("${examcloud.base.info.url}")
    private String baseInfoUrl;//基础信息服务
    @Value("${examcloud.exam.admin.url}")
    private String examAdminUrl;//考务服务
    @Value("${examcloud.net.exam.url}")
    private String netExamUrl;//网考服务
    @Value("${examcloud.question.pool.url}")
    private String questionPoolUrl;//题库服务
    @Value("${examcloud.user.auth.url}")
    private String userAuthUrl;//认证中心服务
    @Value("${examcloud.upyun.url}")
    private String upYunUrl;//又拍云文件服务
    @Value("${examcloud.sms.url}")
    private String smsUrl;//短信服务地址
    @Value("${examcloud.sms.sign}")
    private String smsSign;//短信签名
    @Value("${examcloud.sms.template}")
    private String smsTemplate;//短信模板Code

    public String getBaseInfoUrl() {
        return baseInfoUrl;
    }

    public String getExamAdminUrl() {
        return examAdminUrl;
    }

    public String getNetExamUrl() {
        return netExamUrl;
    }

    public String getQuestionPoolUrl() {
        return questionPoolUrl;
    }

    public String getUserAuthUrl() {
        return userAuthUrl;
    }

    public String getUpYunUrl() {
        return upYunUrl;
    }

    public String getSmsUrl() {
        return smsUrl;
    }

    public String getSmsSign() {
        return smsSign;
    }

    public String getSmsTemplate() {
        return smsTemplate;
    }

}