<#assign base=request.contextPath>
<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <title>设备访问记录</title>
    <meta name="renderer" content="webkit"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <link href="${base}/styles/bootstrap/css/bootstrap.min.css" rel="stylesheet"/>
    <style type="text/css">
        input {
            margin-bottom: 10px;
        }

        span {
            margin-right: 15px;
        }
    </style>
</head>
<body>
<h3 style="margin-left: 10px">设备访问记录</h3>
<div class="panel panel-default" style="margin: 10px;padding: 10px">
    <div class="btn-group">
        <input type="text" class="form-control" id="url" placeholder="访问地址"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="system" placeholder="系统标识"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="deviceId" placeholder="设备编号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="netType" placeholder="网络类型"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="brand" placeholder="设备品牌"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="model" placeholder="型号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="sysVersion" placeholder="系统版本号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="appVersion" placeholder="APP版本号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="appCode" placeholder="APP更新号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="patchCode" placeholder="APP补丁号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="account" placeholder="来源账号"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="loginKey" placeholder="KEY"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="loginToken" placeholder="TOKEN"/>
    </div>
    <div class="btn-group">
        <input type="text" class="form-control" id="ip" placeholder="IP"/>
    </div>
    <div class="btn-group">
        <a href="#" class="btn btn-primary" onclick="doSearch()" style="margin-bottom: 10px"> 搜索</a>
    </div>
    <table id="contentTable" class="table">
        <thead>
        <tr>
            <th style="width: 150px">操作时间</th>
            <th>操作内容<span id="contentTotal" style="float: right;font-weight: normal"></span></th>
        </tr>
        </thead>
        <tbody id="contentDiv"></tbody>
    </table>
    <ul id="contentPager" class="pagination"></ul>
</div>

<script src="${base}/styles/jquery/jquery-1.9.1.min.js"></script>
<script src="${base}/page.js"></script>
<script type="text/javascript">
    var basePath = '${base!}';
    var curPageSize = 10;

    $(function () {
        loadData(1, true);
    });

    function doSearch() {
        $("#contentPager").empty();
        loadData(1, true);
    }

    function loadData(curPageNo, needCreatePage) {
        var params = {};
        params.url = $('#url').val();
        params.system = $('#system').val();
        params.deviceId = $('#deviceId').val();
        params.netType = $('#netType').val();
        params.brand = $('#brand').val();
        params.model = $('#model').val();
        params.sysVersion = $('#sysVersion').val();
        params.appVersion = $('#appVersion').val();
        params.appCode = $('#appCode').val();
        params.patchCode = $('#patchCode').val();
        params.account = $('#account').val();
        params.loginKey = $('#loginKey').val();
        params.loginToken = $('#loginToken').val();
        params.ip = $('#ip').val();
        params.pageSize = curPageSize;
        params.pageNo = curPageNo;

        $("#contentDiv").empty();
        $("#contentTotal").html('共 0 条，共 0 页');
        $.ajax({
            url: basePath + '/device/record/list',
            contentType: "application/json; charset=UTF-8",
            dataType: "json",
            type: "POST",
            data: JSON.stringify(params),
            success: function (response) {
                if (response && response.code == '200') {
                    var data = response.data;
                    if (data.numberOfElements > 0) {
                        var html = render(data.content);
                        $("#contentDiv").html(html);
                        $("#contentTotal").html('共 ' + data.totalElements + ' 条，共 ' + data.totalPages + ' 页');
                        if (needCreatePage) {
                            $("#contentPager").createPage({
                                pageCount: data.totalPages,
                                current: curPageNo,
                                backFn: function (current) {
                                    loadData(current, false);
                                }
                            });
                        }
                    }
                }
            }
        });
    }

    function render(list) {
        var html = [];
        for (var n = 0; n < list.length; n++) {
            var obj = list[n];
            html.push('<tr><td style="vertical-align: middle;text-align: center" curId=' + obj.id + '>');
            html.push(emptyStr(obj.createDate) + '</br>' + emptyStr(obj.ip));
            html.push('</td><td>');
            html.push('<span style="color: #337ab7"><b>访问地址：' + emptyStr(obj.url) + '</b></span>');
            html.push('<span>KEY：' + emptyStr(obj.loginKey) + '</span>');
            html.push('<span>TOKEN：' + emptyStr(obj.loginToken) + '</span></br>');
            html.push('<span>来源账号：' + emptyStr(obj.account) + '</span>');
            html.push('<span>系统标识：' + emptyStr(obj.system) + '</span>');
            html.push('<span>设备编号：' + emptyStr(obj.deviceId) + '</span>');
            html.push('<span>网络类型：' + emptyStr(obj.netType) + '</span>');
            html.push('<span>设备品牌：' + emptyStr(obj.brand) + '</span>');
            html.push('<span>型号：' + emptyStr(obj.model) + '</span>');
            html.push('<span>系统版本号：' + emptyStr(obj.sysVersion) + '</span>');
            html.push('<span>APP版本号：' + emptyStr(obj.appVersion) + '</span>');
            html.push('<span>APP更新号：' + emptyStr(obj.appCode) + '</span>');
            html.push('<span>APP补丁号：' + emptyStr(obj.patchCode) + '</span>');
            html.push('</td></tr>');
        }
        return html.join('');
    }

    function emptyStr(str) {
        if (!str || str == null) {
            return "-";
        }
        return str;
    }
</script>
</body>
</html>